<p align="center"><img src="web/static/image/icons/banner.png" alt="Starlio banner" title="Starlio"></p>

The program takes a picture from the NASA [website](https://apod.nasa.gov/apod) every day
and sets it as a background for your workspace.

> **Note**
> This app is not official from NASA

### Contents
- [How to build](#how-to-build)
- [Solution or answers to possible problems](#solution-or-answers-to-possible-problems)
- [License](#license)

---

| Platform         | Status      | Latest version | Get in on                                                                                                                                       | Branch                                                                       |
|------------------|-------------|----------------|-------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------|
| Windows          | Support     | 2.4            | [Github](https://github.com/Redume/EveryNasa/releases/tag/v2.3.2)                                                                               | [main](https://github.com/Redume/Starlio)                                    |
| Linux            | Unsupport   | 1.6            | [Github](https://github.com/Redume/EveryNasa/releases/download/v1.6/EveryNasa)                                                                  |                                                                              |
| Android          | Support     | 1.8.1          | [Google Play](https://play.google.com/store/apps/details?id=ru.murzify.everynasa) / [RuStore](https://apps.rustore.ru/app/ru.murzify.everynasa) |                                                                              |
| MacOS            | Unavailable |                |                                                                                                                                                 |                                                                              |
| iOS              | Unavailable |                |                                                                                                                                                 |                                                                              |
| Wallpaper Engine | Support     | 1.0            | [Steam Workshop](https://steamcommunity.com/sharedfiles/filedetails/?id=2884180886)                                                             | [wallpaper-engine](https://github.com/Redume/Starlio/tree/wallpaper-engine)  |

---

### License
This project is licensed under the GPLv3 - see the [LICENSE](LICENSE) file for details.

```
    EveryNasa Copyright (C) 2022-2023 Redume
    Starlio Copyright (C) 2023 Redume

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <https://www.gnu.org/licenses/>.
```

### Third-party library licenses
- [getlantern/systray](https://github.com/getlantern/systray) — [Apache-2.0](https://github.com/getlantern/systray/blob/master/LICENSE)
- [gofiber/fiber](https://github.com/gofiber/fiber) — [MIT](https://github.com/gofiber/fiber/blob/master/LICENSE)
- [go-ole/go-ole](https://github.com/go-ole/go-ole) — [MIT](https://github.com/go-ole/go-ole/blob/master/LICENSE)
- [mattn/go-sqlite3](https://github.com/mattn/go-sqlite3) — [MIT](https://github.com/mattn/go-sqlite3/blob/master/LICENSE)
- [rodkranz/fetch](https://github.com/rodkranz/fetch) — [MIT](https://github.com/rodkranz/fetch/blob/master/LICENSE)
- [shirou/gopsutil](https://github.com/shirou/gopsutil) — [BSD-3](https://github.com/shirou/gopsutil/blob/master/LICENSE)
- [skratchdot/open-golang](https://github.com/skratchdot/open-golang) — [MIT](https://github.com/skratchdot/open-golang/blob/master/LICENSE)
- [twbs/bootstrap](https://github.com/twbs/bootstrap) — [MIT](https://github.com/twbs/bootstrap/blob/main/LICENSE)
- [LottieFiles/lottie-player](https://github.com/LottieFiles/lottie-player) — [MIT](https://github.com/LottieFiles/lottie-player/blob/master/LICENSE)
- [jquery/jquery](https://github.com/jquery/jquery) — [MIT](https://github.com/jquery/jquery/blob/main/LICENSE.txt)
